# $Revision: 1.14 $, $Date: 2006/12/13 23:16:08 $
%define		_modname	rar
%define		_status		beta
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)

Summary:	%{_modname} - read rar archives
Summary(pl):	%{_modname} - odczyt archiww rar
Name:		php-pecl-%{_modname}
Version:	0.3.1
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	ef566da9c7d1fad9e28ed729988dcf05
URL:		http://pecl.php.net/package/rar/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rar is a powerful and effective archiver, which was created by Eugene
Roshal and became rather popular quite fast. This extension gives you
possibility to read Rar archives.

In PECL status of this extension is: %{_status}.

%description -l pl
Rar to potny i wydajny archiwizator. Zosta stworzony przez Eugene
Roshala i szybko zdoby popularno. Z pomoc tego rozszerzenia
moliwy jest odczyt archiww Rar.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-rar.spec,v $
Revision 1.14  2006/12/13 23:16:08  glen
- rel 2 (php 5.2.0)

Revision 1.13  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.12  2006/09/02 19:12:48  adamg
- updated to 0.3.1

Revision 1.11  2006/06/21 19:05:57  adamg
- updated to 0.3.0

Revision 1.10  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.9  2005/10/30 13:29:27  glen
- rel 4

Revision 1.8  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.7  2005/09/14 22:33:05  glen
- rel 2

Revision 1.6  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.5  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.4  2004/12/05 14:44:01  adamg
- updated to 0.2

Revision 1.3  2004/08/07 18:52:11  adamg
- uh-oh, fixed %files

Revision 1.2  2004/08/07 18:17:17  adamg
- few typos fixed
- proper URL
- cut off template changelog

Revision 1.1  2004/08/07 18:14:42  adamg
- new
